Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.xni
Interface XMLAttributes

All Known Implementing Classes:
  DOMNormalizer.XMLAttributesProxy, XMLAttributesImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public interface XMLAttributes

The XMLAttributes interface defines a collection of attributes for an element. In the parser, the document source would scan the entire start element and collect the attributes. The attributes are communicated to the document handler in the startElement method.

The attributes are read-write so that subsequent stages in the document pipeline can modify the values or change the attributes that are propogated to the next stage.

See Also:
  `XMLDocumentHandler.startElement(weblogic.apache.xerces.xni.QName, weblogic.apache.xerces.xni.XMLAttributes, weblogic.apache.xerces.xni.Augmentations)`

Method Summary
`int` | `addAttribute(QName attrName, String attrType, String attrValue)` Deprecated. Adds an attribute.
`Augmentations` | `getAugmentations(int attributeIndex)` Deprecated. Look up an augmentation by attribute's index.
`Augmentations` | `getAugmentations(String qName)` Deprecated. Look up an augmentation by XML 1.0 qualified name.
`Augmentations` | `getAugmentations(String uri, String localPart)` Deprecated. Look up an augmentation by namespace name.
`int` | `getIndex(String qName)` Deprecated. Look up the index of an attribute by XML 1.0 qualified name.
`int` | `getIndex(String uri, String localPart)` Deprecated. Look up the index of an attribute by Namespace name.
`int` | `getLength()` Deprecated. Returns the number of attributes in the list.
`String` | `getLocalName(int index)` Deprecated. Look up an attribute's local name by index.
`void` | `getName(int attrIndex, QName attrName)` Deprecated. Sets the fields in the given QName structure with the values of the attribute name at the specified index.
`String` | `getNonNormalizedValue(int attrIndex)` Deprecated. Returns the non-normalized value of the attribute at the specified index.
`String` | `getPrefix(int index)` Deprecated. Returns the prefix of the attribute at the specified index.
`String` | `getQName(int index)` Deprecated. Look up an attribute's XML 1.0 qualified name by index.
`String` | `getType(int index)` Deprecated. Look up an attribute's type by index.
`String` | `getType(String qName)` Deprecated. Look up an attribute's type by XML 1.0 qualified name.
`String` | `getType(String uri, String localName)` Deprecated. Look up an attribute's type by Namespace name.
`String` | `getURI(int index)` Deprecated. Look up an attribute's Namespace URI by index.
`String` | `getValue(int index)` Deprecated. Look up an attribute's value by index.
`String` | `getValue(String qName)` Deprecated. Look up an attribute's value by XML 1.0 qualified name.
`String` | `getValue(String uri, String localName)` Deprecated. Look up an attribute's value by Namespace name.
`boolean` | `isSpecified(int attrIndex)` Deprecated. Returns true if the attribute is specified in the instance document.
`void` | `removeAllAttributes()` Deprecated. Removes all of the attributes.
`void` | `removeAttributeAt(int attrIndex)` Deprecated. Removes the attribute at the specified index.
`void` | `setName(int attrIndex, QName attrName)` Deprecated. Sets the name of the attribute at the specified index.
`void` | `setNonNormalizedValue(int attrIndex, String attrValue)` Deprecated. Sets the non-normalized value of the attribute at the specified index.
`void` | `setSpecified(int attrIndex, boolean specified)` Deprecated. Sets whether an attribute is specified in the instance document or not.
`void` | `setType(int attrIndex, String attrType)` Deprecated. Sets the type of the attribute at the specified index.
`void` | `setValue(int attrIndex, String attrValue)` Deprecated. Sets the value of the attribute at the specified index.

Method Detail

### addAttribute

    int addAttribute(QName attrName,
                     String attrType,
                     String attrValue)

  Deprecated.
  Adds an attribute. The attribute's non-normalized value of the attribute will have the same value as the attribute value until set using the `setNonNormalizedValue` method. Also, the added attribute will be marked as specified in the XML instance document unless set otherwise using the `setSpecified` method.

  Note: If an attribute of the same name already exists, the old values for the attribute are replaced by the new values.

  Parameters:
    `attrName` - The attribute name.
    `attrType` - The attribute type. The type name is determined by the type specified for this attribute in the DTD. For example: "CDATA", "ID", "NMTOKEN", etc. However, attributes of type enumeration will have the type value specified as the pipe ('|') separated list of the enumeration values prefixed by an open parenthesis and suffixed by a close parenthesis. For example: "(true|false)".
    `attrValue` - The attribute value.
  Returns:
    Returns the attribute index.
  See Also:
    `XMLAttributes.setNonNormalizedValue(int, java.lang.String)`, `XMLAttributes.setSpecified(int, boolean)`

### removeAllAttributes

    void removeAllAttributes()

  Deprecated.
  Removes all of the attributes. This method will also remove all entities associated to the attributes.

### removeAttributeAt

    void removeAttributeAt(int attrIndex)

  Deprecated.
  Removes the attribute at the specified index.

  Note: This operation changes the indexes of all attributes following the attribute at the specified index.

  Parameters:
    `attrIndex` - The attribute index.

### getLength

    int getLength()

  Deprecated.
  Returns the number of attributes in the list.

  Once you know the number of attributes, you can iterate through the list.

  See Also:
    `XMLAttributes.getURI(int)`, `XMLAttributes.getLocalName(int)`, `XMLAttributes.getQName(int)`, `XMLAttributes.getType(int)`, `XMLAttributes.getValue(int)`

### getIndex

    int getIndex(String qName)

  Deprecated.
  Look up the index of an attribute by XML 1.0 qualified name.

  Parameters:
    `qName` - The qualified (prefixed) name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

### getIndex

    int getIndex(String uri,
                 String localPart)

  Deprecated.
  Look up the index of an attribute by Namespace name.

  Parameters:
    `uri` - The Namespace URI, or the empty string if the name has no Namespace URI.
    `localName` - The attribute's local name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

### setName

    void setName(int attrIndex,
                 QName attrName)

  Deprecated.
  Sets the name of the attribute at the specified index.

  Parameters:
    `attrIndex` - The attribute index.
    `attrName` - The new attribute name.

### getName

    void getName(int attrIndex,
                 QName attrName)

  Deprecated.
  Sets the fields in the given QName structure with the values of the attribute name at the specified index.

  Parameters:
    `attrIndex` - The attribute index.
    `attrName` - The attribute name structure to fill in.

### getPrefix

    String getPrefix(int index)

  Deprecated.
  Returns the prefix of the attribute at the specified index.

  Parameters:
    `index` - The index of the attribute.

### getURI

    String getURI(int index)

  Deprecated.
  Look up an attribute's Namespace URI by index.

  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The Namespace URI, or the empty string if none is available, or null if the index is out of range.
  See Also:
    `XMLAttributes.getLength()`

### getLocalName

    String getLocalName(int index)

  Deprecated.
  Look up an attribute's local name by index.

  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The local name, or the empty string if Namespace processing is not being performed, or null if the index is out of range.
  See Also:
    `XMLAttributes.getLength()`

### getQName

    String getQName(int index)

  Deprecated.
  Look up an attribute's XML 1.0 qualified name by index.

  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The XML 1.0 qualified name, or the empty string if none is available, or null if the index is out of range.
  See Also:
    `XMLAttributes.getLength()`

### setType

    void setType(int attrIndex,
                 String attrType)

  Deprecated.
  Sets the type of the attribute at the specified index.

  Parameters:
    `attrIndex` - The attribute index.
    `attrType` - The attribute type. The type name is determined by the type specified for this attribute in the DTD. For example: "CDATA", "ID", "NMTOKEN", etc. However, attributes of type enumeration will have the type value specified as the pipe ('|') separated list of the enumeration values prefixed by an open parenthesis and suffixed by a close parenthesis. For example: "(true|false)".

### getType

    String getType(int index)

  Deprecated.
  Look up an attribute's type by index.

  The attribute type is one of the strings "CDATA", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", "ENTITY", "ENTITIES", or "NOTATION" (always in upper case).

  If the parser has not read a declaration for the attribute, or if the parser does not report attribute types, then it must return the value "CDATA" as stated in the XML 1.0 Recommentation (clause 3.3.3, "Attribute-Value Normalization").

  For an enumerated attribute that is not a notation, the parser will report the type as "NMTOKEN".

  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The attribute's type as a string, or null if the index is out of range.
  See Also:
    `XMLAttributes.getLength()`

### getType

    String getType(String qName)

  Deprecated.
  Look up an attribute's type by XML 1.0 qualified name.

  See `getType(int)` for a description of the possible types.

  Parameters:
    `qName` - The XML 1.0 qualified name.
  Returns:
    The attribute type as a string, or null if the attribute is not in the list or if qualified names are not available.

### getType

    String getType(String uri,
                   String localName)

  Deprecated.
  Look up an attribute's type by Namespace name.

  See `getType(int)` for a description of the possible types.

  Parameters:
    `uri` - The Namespace URI, or the empty String if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute type as a string, or null if the attribute is not in the list or if Namespace processing is not being performed.

### setValue

    void setValue(int attrIndex,
                  String attrValue)

  Deprecated.
  Sets the value of the attribute at the specified index. This method will overwrite the non-normalized value of the attribute.

  Parameters:
    `attrIndex` - The attribute index.
    `attrValue` - The new attribute value.
  See Also:
    `XMLAttributes.setNonNormalizedValue(int, java.lang.String)`

### getValue

    String getValue(int index)

  Deprecated.
  Look up an attribute's value by index.

  If the attribute value is a list of tokens (IDREFS, ENTITIES, or NMTOKENS), the tokens will be concatenated into a single string with each token separated by a single space.

  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The attribute's value as a string, or null if the index is out of range.
  See Also:
    `XMLAttributes.getLength()`

### getValue

    String getValue(String qName)

  Deprecated.
  Look up an attribute's value by XML 1.0 qualified name.

  See `getValue(int)` for a description of the possible values.

  Parameters:
    `qName` - The XML 1.0 qualified name.
  Returns:
    The attribute value as a string, or null if the attribute is not in the list or if qualified names are not available.

### getValue

    String getValue(String uri,
                    String localName)

  Deprecated.
  Look up an attribute's value by Namespace name.

  See `getValue(int)` for a description of the possible values.

  Parameters:
    `uri` - The Namespace URI, or the empty String if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute value as a string, or null if the attribute is not in the list.

### setNonNormalizedValue

    void setNonNormalizedValue(int attrIndex,
                               String attrValue)

  Deprecated.
  Sets the non-normalized value of the attribute at the specified index.

  Parameters:
    `attrIndex` - The attribute index.
    `attrValue` - The new non-normalized attribute value.

### getNonNormalizedValue

    String getNonNormalizedValue(int attrIndex)

  Deprecated.
  Returns the non-normalized value of the attribute at the specified index. If no non-normalized value is set, this method will return the same value as the `getValue(int)` method.

  Parameters:
    `attrIndex` - The attribute index.

### setSpecified

    void setSpecified(int attrIndex,
                      boolean specified)

  Deprecated.
  Sets whether an attribute is specified in the instance document or not.

  Parameters:
    `attrIndex` - The attribute index.
    `specified` - True if the attribute is specified in the instance document.

### isSpecified

    boolean isSpecified(int attrIndex)

  Deprecated.
  Returns true if the attribute is specified in the instance document.

  Parameters:
    `attrIndex` - The attribute index.

### getAugmentations

    Augmentations getAugmentations(int attributeIndex)

  Deprecated.
  Look up an augmentation by attribute's index.

  Parameters:
    `attributeIndex` - The attribute index.
  Returns:
    Augmentations

### getAugmentations

    Augmentations getAugmentations(String uri,
                                   String localPart)

  Deprecated.
  Look up an augmentation by namespace name.

  Parameters:
    `uri` - The Namespace URI, or the empty string if the name has no Namespace URI.
    `localPart` -
  Returns:
    Augmentations

### getAugmentations

    Augmentations getAugmentations(String qName)

  Deprecated.
  Look up an augmentation by XML 1.0 qualified name.

  Parameters:
    `qName` - The XML 1.0 qualified name.
  Returns:
    Augmentations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD